package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.PunchRecord;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface PunchRecordDAO {
	int insert(PunchRecord entity);
	int update(PunchRecord entity);
	int exist(String id);
	PunchRecord get(String id);
	int delete(String id);
	List<PunchRecord> list();
	List<PunchRecord> search(Map<String, Object> searchParams, List<Sort> sortList);

    List<PunchRecord> findByPersonAndDate(@Param("personId") Long personId, @Param("startDate") String startDate, @Param("endDate") String endDate);
}